MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027366Community[OCCT] OCCT:Visualizationpublic2016-04-08 14:112017-09-29 16:31
Reporterdaniel132 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformwOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0027366: Z-Layer: Strange highlight behaviour
DescriptionChanging the Z-layer of an object results in strange highlight behaviour.
Not observed in 6.8
Steps To Reproduce
pload MODELING VISUALIZATION
vinit 
vsetdispmode 1
box b 10 10 10 
box b1 40 40 40 40 40 40 
set aZLayer [vzlayer -add]
vdisplay b -layer $aZLayer
vdisplay b1
vfit
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon Untitled.png (26,648 bytes) 2016-04-08 14:15

- Relationships
related to 0025695closedapn Community Visualization, AIS_InteractiveContext - define default HilightMode 
related to 0028127closedapn Open CASCADE Visualization - transparent object breaks Z-Layer depth buffer clear 

-  Notes
(0052547)
kgv (developer)
2016-04-08 17:50
edited on: 2016-04-08 17:52

This is a limitation of highlighting API - it does not provide the way to specify ZLayer explicitly. Therefore default settings conflict with ZLayers defined with depth-buffer clearing option.

Note that provided test case is incorrect since it tries displaying the object in non-existing layer - see vzlayer command for details. Current implementation still implicitly passes object with invalid layer id to the lowers layer which is Graphic3d_ZLayerId_BotOSD, but probably exception indicating an application error would be better in this case.

(0061746)
kgv (developer)
2016-12-16 16:46

Within patch for 0025695 it is now possible to assign ZLayer for displaying dynamic highlighting:
vselprops dynHighlight -layer -1

and with the option -1 the layer of highlighted presentation will be used - which should fix the issue in this usage scenario.
(0061747)
kgv (developer)
2016-12-16 16:47

Dear bugmaster,

please switch the issue into VERIFIED state.

- Issue History
Date Modified Username Field Change
2016-04-08 14:11 daniel132 New Issue
2016-04-08 14:11 daniel132 Assigned To => kgv
2016-04-08 14:15 daniel132 File Added: Untitled.png
2016-04-08 17:41 kgv Relationship added related to 0026272
2016-04-08 17:50 kgv Note Added: 0052547
2016-04-08 17:50 kgv Priority normal => low
2016-04-08 17:50 kgv Steps to Reproduce Updated View Revisions
2016-04-08 17:51 kgv Note Edited: 0052547 View Revisions
2016-04-08 17:52 kgv Note Edited: 0052547 View Revisions
2016-06-16 21:29 kgv Relationship added duplicate of 0026438
2016-11-15 09:47 kgv Relationship added related to 0025695
2016-11-19 08:58 kgv Relationship added related to 0028127
2016-12-16 16:43 kgv Steps to Reproduce Updated View Revisions
2016-12-16 16:46 kgv Note Added: 0061746
2016-12-16 16:46 kgv Assigned To kgv => bugmaster
2016-12-16 16:46 kgv Status new => feedback
2016-12-16 16:47 kgv Note Added: 0061747
2016-12-22 11:37 apn Test case number => Not needed
2016-12-22 11:37 apn Status feedback => tested
2016-12-22 11:37 apn Target Version => 7.2.0
2016-12-22 11:38 apn Resolution open => fixed
2016-12-22 11:38 apn Status tested => verified
2017-01-02 11:46 kgv Relationship replaced has duplicate 0026438
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker